Package be.ehealth.businessconnector.genericasync.session.impl

# Class GenAsyncServiceImpl

java.lang.Object
be.ehealth.businessconnector.genericasync.session.impl.GenAsyncServiceImpl

All Implemented Interfaces:
  `GenAsyncService`

public class GenAsyncServiceImpl extends Object implements GenAsyncService
The Business Connector for General Practitioners provides a simplified interface to access the Generic Async service Implementation of `GenAsyncService`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenAsyncServiceImpl(SessionValidator sessionValidator, String serviceName)`
  Instantiates a new Generic Async service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfirmResponse`
  `confirmRequest(Confirm request, WsAddressingHeader header)`
  Sends a confirm request to the WS.
  `GetResponse`
  `getRequest(Get request, WsAddressingHeader header)`
  Returns the
  invalid reference

      Responses

  from the post previously sent and generate the token.
  `PostResponse`
  `postRequest(Post request, WsAddressingHeader header)`
  Returns the
  invalid reference

      TAck

  of the request of an operation and generate the token.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenAsyncServiceImpl

    public GenAsyncServiceImpl(SessionValidator sessionValidator, String serviceName) throws TechnicalConnectorException
    Instantiates a new Generic Async service
    Parameters:
      `sessionValidator` - the session validator
      `serviceName` - the service Name
    Throws:
      `TechnicalConnectorException`

- ## Method Details

  - ### postRequest

    public PostResponse postRequest(Post request, WsAddressingHeader header) throws GenAsyncBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Description copied from interface: `GenAsyncService`
    Returns the
    invalid reference

        TAck

    of the request of an operation and generate the token.
    Specified by:
      `postRequest` in interface `GenAsyncService`
    Parameters:
      `request` - the request
    Returns:
      TAck
    Throws:
      `GenAsyncBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`
    See Also:
      - `GenAsyncService.postRequest(Post, WsAddressingHeader)`

  - ### getRequest

    public GetResponse getRequest(Get request, WsAddressingHeader header) throws GenAsyncBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Description copied from interface: `GenAsyncService`
    Returns the
    invalid reference

        Responses

    from the post previously sent and generate the token.
    Specified by:
      `getRequest` in interface `GenAsyncService`
    Parameters:
      `request` - the request
    Returns:
      Responses
    Throws:
      `GenAsyncBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`
    See Also:
      - `GenAsyncService.getRequest(Get, WsAddressingHeader)`

  - ### confirmRequest

    public ConfirmResponse confirmRequest(Confirm request, WsAddressingHeader header) throws GenAsyncBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Description copied from interface: `GenAsyncService`
    Sends a confirm request to the WS.
    Specified by:
      `confirmRequest` in interface `GenAsyncService`
    Parameters:
      `request` - the request
    Returns:
      the response
    Throws:
      `GenAsyncBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`
    See Also:
      - `GenAsyncService.confirmRequest(Confirm, WsAddressingHeader)`